Main Page | Modules | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | Related Pages

# SoPointDetail Class Reference
[Detail classes]

`#include <Inventor/details/SoPointDetail.h>`

Inheritance diagram for SoPointDetail:

List of all members.

## Detailed Description

The SoPointDetail class is for storing detailed information for a single 3D point.

Instances of this class are used among other things for storing information about the vertices of lines and polygons after pick operations, and for storing information returned to tessellation callbacks.

It contains indices into the vertex coordinate sets, along with indices into material, texture and normal coordinates for the point.

## Public Member Functions
| SoPointDetail (void)
virtual | ~SoPointDetail ()
virtual SoDetail * | copy (void) const
int | getCoordinateIndex (void) const
int | getMaterialIndex (void) const
int | getNormalIndex (void) const
int | getTextureCoordIndex (void)
void | setCoordinateIndex (const int idx)
void | setMaterialIndex (const int idx)
void | setNormalIndex (const int idx)
void | setTextureCoordIndex (const int idx)
## Static Public Member Functions
void | initClass (void)

## Constructor & Destructor Documentation

SoPointDetail::SoPointDetail | ( | void |  | ) |

| Sets up an empty detail instance (all indices are equal to 0).

SoPointDetail::~SoPointDetail | ( |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

void SoPointDetail::initClass | ( | void |  | ) | `[static]`

| Initialize relevant common data for all instances, like the type system. Reimplemented from SoDetail.

SoDetail * SoPointDetail::copy | ( | void |  | ) | const`[virtual]`

| Return a deep copy of ourself. Note that if the Coin library has been built as a DLL under Microsoft Windows and you use this method from application code, you must make sure that both the Coin DLL and the application executable is using the same instance of a C Run-Time (CRT) library. Otherwise, you will get memory heap corruption upon deallocating the returned instances, eventually leading to mysterious crashes. Implements SoDetail.

int SoPointDetail::getCoordinateIndex | ( | void |  | ) | const

| Returns index into coordinate set for the point's 3D coordinates.

int SoPointDetail::getMaterialIndex | ( | void |  | ) | const

| Returns point's index into set of materials.

int SoPointDetail::getNormalIndex | ( | void |  | ) | const

| Returns point's index into set of normals.

int SoPointDetail::getTextureCoordIndex | ( | void |  | ) |

| Returns point's index into set of texture coordinates.

void SoPointDetail::setCoordinateIndex | ( | const int | idx | ) |

| Used by client code for initializing the point detail instance.

void SoPointDetail::setMaterialIndex | ( | const int | idx | ) |

| Used by client code for initializing the point detail instance.

void SoPointDetail::setNormalIndex | ( | const int | idx | ) |

| Used by client code for initializing the point detail instance.

void SoPointDetail::setTextureCoordIndex | ( | const int | idx | ) |

| Used by client code for initializing the point detail instance.

The documentation for this class was generated from the following files:

- SoPointDetail.h
- SoPointDetail.cpp